Create a reaction

Create a reaction on a post

Creates a new reaction on a post by the authenticated user. Returns a reaction object.

This endpoint only creates new reactions.

📘

API key

You will need to include your API key found here.

Please include the key in your header. {"X-API-KEY": <api_key>}

🔒

Authorization required

This endpoint requires access to the board. You must have permission to interact with the board to create reactions.

📘

Board support required

Reactions can only be created on boards that support reactions. The board must have the Reaction feature enabled.

An example of a basic request body is displayed below. It follows the JSON:API specification.

{
  "data": {
    "type": "reaction",
    "attributes": {
      "value": 1,
      "reactionType": "like"
    }
  }
}

Body parameters

* required

PropertiesTypeDescription
type*stringType should be set to reaction.
attributes.value*int

The reaction value. Valid values depend on the reaction type:

like: Must be 1
star: Must be between 0 and 5
grade: Must be between 0 and board's max grade (default 100)
vote: Must be 1 (upvote) or -1 (downvote)

attributes.reactionTypestringThe type of reaction. Can be like, star, grade, or vote. If not provided, defaults to the board's configured reaction type.

URL parameters

ParameterTypeDescription
post_idstringThe hash ID of the post to react to

Validation rules

  • The board must support reactions (Reaction feature enabled)
  • The reaction value must be valid for the specified reaction type
  • The reaction type must match the board's configured reaction type (if not specified in request)
  • Uniqueness constraint: Each user can only have one reaction per post. If the authenticated user already has a reaction on the specified post, this endpoint will return a 422 error instead of updating the existing reaction.

Example response

{
  "data": {
    "id": "reaction_abc123def456",
    "type": "reaction",
    "attributes": {
      "value": 1,
      "reactionType": "like",
      "createdAt": "2025-07-01T10:30:00.000Z",
      "updatedAt": "2025-07-01T10:30:00.000Z"
    },
    "relationships": {
      "post": {
        "data": {
          "id": "post_lkROZPOe62X2QjMg",
          "type": "post"
        }
      },
      "board": {
        "data": {
          "id": "3pbz27udysdf57mg",
          "type": "board"
        }
      }
    }
  }
}
Path Params
string
required

Hash ID of the post to react to

Body Params

Resource object for the reaction to be created

data
object
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json